#!/bin/bash
#usage: ./makedeb.sh APPDIR VERSION

APPDIR="$1"
VERSION="$2"
cd $APPDIR
DEBPATH="$(pwd)"
echo $DEBPATH
find $DEBPATH -type f -name control | xargs sed -i "s/Version: .*/Version: ${VERSION}/g"
find $DEBPATH -type f -name app.js | xargs sed -i "s/this.version =.*/this.version = \'${VERSION}\';/g"
find $DEBPATH -type f -name app.json | xargs sed -i "s/\"appVersion\":.*/\"appVersion\": \"${VERSION}\",/g"
find $DEBPATH -name .DS_Store -type f | xargs rm -f
find $DEBPATH -name .vscode -type d | xargs rm -rf
set -e
>DEBIAN/md5sums
dirlist=$(ls . | awk '{print $NF}')
for dir in $dirlist; do
    if [[ $dir == "DEBIAN" ]]; then
        echo "DEBIAN"
    else
        echo $dir
        find $dir -type f -print0 | xargs -0 md5sum >>DEBIAN/md5sums
    fi
done
cd $(dirname $APPDIR)
cd $(dirname $(pwd))

dpkg-deb -b $APPDIR ${APPDIR%*/}"_"$VERSION"_amd64.deb"
dpkg -I ${APPDIR%*/}"_"$VERSION"_amd64.deb"
