/**
*U-Drive App
* Implementing U-Drive App
*/
var UDRIVEApp = UDRIVEApp || {};  //Define U-Drive App namespace.
/**
*Constructor UNAS App
*/
UDRIVEApp.App = function () {
    this.id = 'U-Drive';
    this.name = 'U-Drive';
    this.version = '6.1.25';
    this.active = false;
    this.menuIcon = '/apps/u-drive/images/logo.png?v=SOLVE_BROWSER_CACHE&';
    this.shortcutIcon = '/apps/u-drive/images/logo.png?v=SOLVE_BROWSER_CACHE&';
    this.entryUrl = "/apps/u-drive/u-drive.html?v=SOLVE_BROWSER_CACHE&";
    //this.entryHelpUrl = '/apps/u-drive/u-drive_help.html?v=SOLVE_BROWSER_CACHE&';
    var self = this;
    this.UDRIVEAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('U-Drive')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'UDRIVEAppWindow',
            title: UNAS._('U-Drive'),
            icon: '/apps/u-drive/images/logo_small.png?v=SOLVE_BROWSER_CACHE&',
            loadMethod: 'xhr',
            width: 1020,
            height: 550,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/u-drive/u-drive.html?v=SOLVE_BROWSER_CACHE&',
            require: { css: ['/apps/u-drive/css/u-drive.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("U-Drive",'UDRIVEAppWindow')}
     	});
    };
    this.UDRIVEUninstall = function () {
    	UNAS.RemoveDesktopShortcut('U-Drive');
    	UNAS.RemoveMenu('U-Drive');
    	UNAS.RemoveAppFromGroups('U-Drive', 'Help');
        UNAS.RemoveAppFromGroups('U-Drive', 'ControlPanel');
    	UNAS.RemoveAppFromApps('U-Drive');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'U-Drive', '', this.UDRIVEAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'U-Drive', this.UDRIVEAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Laction' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('U-Drive', UNAS._('U-Drive')); //translate menu
        UNAS.SetShortcutTitle('U-Drive', UNAS._('U-Drive'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('UDRIVEAppWindow', UNAS._('U-Drive'));
        }
    };
    UNAS.LoadTranslation('/apps/u-drive/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.UDRIVEAppWindow, this.UDRIVEUninstall);
};

new UDRIVEApp.App();
